package cn.edu.zust.dubbo;

public class SingletonPattern {
    private static SingletonPattern instance;
    
    private SingletonPattern() {}
    
    public static SingletonPattern getInstance() {
        if (instance == null) {
            instance = new SingletonPattern();
        }
        return instance;
    }
    
    public void showMessage() {
        System.out.println("Singleton Pattern Demo");
    }
    
    public static void main(String[] args) {
        SingletonPattern singleton = SingletonPattern.getInstance();
        singleton.showMessage();
    }
}